import React from 'react';
import type { ICronTriggerConfigProps } from './cronConfig';
export interface ICronWeeklyState {
    weekly: string[];
    hour: string;
    minute: string;
}
export declare class CronWeekly extends React.Component<ICronTriggerConfigProps, ICronWeeklyState> {
    constructor(props: ICronTriggerConfigProps);
    componentDidMount(): void;
    private onUpdateWeeklyTrigger;
    private onUpdateHourTrigger;
    private onUpdateMinuteTrigger;
    render(): JSX.Element;
}
